/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let AnnotationLayerDescription = /*@__PURE__*/ (() => {
    class AnnotationLayerDescription extends SeriesDescription {
        get_type() {
            return "AnnotationLayer";
        }
        constructor() {
            super();
            this.fh = false;
            this.fi = false;
            this.fd = null;
            this.ff = false;
            this.f3 = null;
            this.fz = null;
            this.fr = 0;
            this.fo = 0;
            this.f4 = null;
            this.f1 = null;
            this.f5 = null;
            this.f2 = null;
            this.fq = 0;
            this.fn = 0;
            this.fs = 0;
            this.fp = 0;
            this.e6 = null;
            this.e4 = null;
            this.e7 = null;
            this.e5 = null;
            this.e3 = null;
            this.f0 = null;
            this.fg = false;
        }
        get useIndex() {
            return this.fh;
        }
        set useIndex(a) {
            this.fh = a;
            this.g("UseIndex");
        }
        get useLegend() {
            return this.fi;
        }
        set useLegend(a) {
            this.fi = a;
            this.g("UseLegend");
        }
        get cursorPosition() {
            return this.fd;
        }
        set cursorPosition(a) {
            this.fd = a;
            this.g("CursorPosition");
        }
        get isDefaultCrosshairDisabled() {
            return this.ff;
        }
        set isDefaultCrosshairDisabled(a) {
            this.ff = a;
            this.g("IsDefaultCrosshairDisabled");
        }
        get appearanceMode() {
            return this.f3;
        }
        set appearanceMode(a) {
            this.f3 = a;
            this.g("AppearanceMode");
        }
        get actualAppearanceMode() {
            return this.fz;
        }
        set actualAppearanceMode(a) {
            this.fz = a;
            this.g("ActualAppearanceMode");
        }
        get shiftAmount() {
            return this.fr;
        }
        set shiftAmount(a) {
            this.fr = a;
            this.g("ShiftAmount");
        }
        get actualShiftAmount() {
            return this.fo;
        }
        set actualShiftAmount(a) {
            this.fo = a;
            this.g("ActualShiftAmount");
        }
        get horizontalAppearanceMode() {
            return this.f4;
        }
        set horizontalAppearanceMode(a) {
            this.f4 = a;
            this.g("HorizontalAppearanceMode");
        }
        get actualHorizontalAppearanceMode() {
            return this.f1;
        }
        set actualHorizontalAppearanceMode(a) {
            this.f1 = a;
            this.g("ActualHorizontalAppearanceMode");
        }
        get verticalAppearanceMode() {
            return this.f5;
        }
        set verticalAppearanceMode(a) {
            this.f5 = a;
            this.g("VerticalAppearanceMode");
        }
        get actualVerticalAppearanceMode() {
            return this.f2;
        }
        set actualVerticalAppearanceMode(a) {
            this.f2 = a;
            this.g("ActualVerticalAppearanceMode");
        }
        get horizontalShiftAmount() {
            return this.fq;
        }
        set horizontalShiftAmount(a) {
            this.fq = a;
            this.g("HorizontalShiftAmount");
        }
        get actualHorizontalShiftAmount() {
            return this.fn;
        }
        set actualHorizontalShiftAmount(a) {
            this.fn = a;
            this.g("ActualHorizontalShiftAmount");
        }
        get verticalShiftAmount() {
            return this.fs;
        }
        set verticalShiftAmount(a) {
            this.fs = a;
            this.g("VerticalShiftAmount");
        }
        get actualVerticalShiftAmount() {
            return this.fp;
        }
        set actualVerticalShiftAmount(a) {
            this.fp = a;
            this.g("ActualVerticalShiftAmount");
        }
        get horizontalDashArray() {
            return this.e6;
        }
        set horizontalDashArray(a) {
            this.e6 = a;
            this.g("HorizontalDashArray");
        }
        get actualHorizontalDashArray() {
            return this.e4;
        }
        set actualHorizontalDashArray(a) {
            this.e4 = a;
            this.g("ActualHorizontalDashArray");
        }
        get verticalDashArray() {
            return this.e7;
        }
        set verticalDashArray(a) {
            this.e7 = a;
            this.g("VerticalDashArray");
        }
        get actualVerticalDashArray() {
            return this.e5;
        }
        set actualVerticalDashArray(a) {
            this.e5 = a;
            this.g("ActualVerticalDashArray");
        }
        get actualDashArray() {
            return this.e3;
        }
        set actualDashArray(a) {
            this.e3 = a;
            this.g("ActualDashArray");
        }
        get actualDashCap() {
            return this.f0;
        }
        set actualDashCap(a) {
            this.f0 = a;
            this.g("ActualDashCap");
        }
        get shouldRenderAsOverlay() {
            return this.fg;
        }
        set shouldRenderAsOverlay(a) {
            this.fg = a;
            this.g("ShouldRenderAsOverlay");
        }
    }
    AnnotationLayerDescription.$t = /*@__PURE__*/ markType(AnnotationLayerDescription, 'AnnotationLayerDescription', SeriesDescription.$);
    return AnnotationLayerDescription;
})();
